ELLCC(1)

NAME
ellcc - Program to compile an emacs dynamic module

SYNOPSIS
ellcc [--mode={compile,link,init,verbose}] [--mod-name=NAME] [--mod-title=TITLE] [--mod-version=VERSION] [Any compiler command line args]

DESCRIPTION
This manual page documents briefly the ellcc, command. This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

The following is taken directly from the comments in the source.

Here's the scoop. We would really like this to be a shell script, but the various Windows platforms don't have reliable scripting that suits our needs. We don't want to rely on perl or some other such language so we have to roll our own executable to act as a front-end for the compiler.

This program is used to invoke the compiler, the linker and to generate the module specific documentation and initialization code. We assume we are in 'compile' mode unless we encounter an argument which tells us that we're not. We take all arguments and pass them on directly to the compiler, except for a few which are specific to this program:

The idea is that Makefiles will use ellcc as the compiler for making dynamic Emacs modules, and life should be as simple as:

  make CC=ellcc LD='ellcc --mode=link'

The only additional requirement is an entry in the Makefile to produce the module initialization file, which will usually be something along the lines of:

OPTIONS

--mode=VALUE
    This sets the program mode. VALUE can be one of compile, link, init or verbose.

--mod-name=NAME
    Sets the module name to the string NAME.

--mod-title=TITLE
    Sets the module title to the string TITLE.

--mod-version=VERSION
    Sets the module version to the string VER.

EXAMPLE
    modinit.c: $(SRCS)
                 ellcc --mode=init --mod-name=
                   --mod-title=
                   -o $@ $(SRCS)
    See the samples for more details.

AUTHOR
This manual page was written by James LewisMoss <dres@debian.org>, for the Debian GNU/Linux system (but may be used by others).